## index-fm 4.0.2

=== debian/changelog ===
index-fm (4.0.2-0zneon+24.04+noble+release+build15) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 22:51:44 +0000

index-fm (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 29 May 2025 15:54:38 +0000

index-fm (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 15:54:35 +0000

index-fm (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Sep 2024 15:54:51 +0000

index-fm (3.1.0) noble; urgency=medium

  [ Jonah Brüchert ]
  * New snapshot

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 15:54:22 +0000

index-fm (0+git20180905-1) unstable; urgency=medium

  * Initial release

 -- Jonah Brüchert <jbb@kaidan.im>  Wed, 05 Sep 2018 14:37:52 +0200

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt6

%:
	dh $@ --buildsystem=cmake

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/maui/index/([\d\.]+)/index-fm-([\d.]+).tar.xz

## index-fm 4.0.2+p24.04+vstable+git20250914.2018

=== debian/changelog ===
index-fm (4.0.2+p24.04+vstable+git20250914.2018-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 20:18:39 +0000

## index-fm 4.0.2+p24.04+vstable+git20251005.1108

=== debian/changelog ===
index-fm (4.0.2+p24.04+vstable+git20251005.1108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 11:08:47 +0000

## index-fm 4.0.2+p24.04+vstable+git20251012.0118

=== CMakeLists.txt ===
# Copyright 2018-2021 Camilo Higuita <milo.h@aol.com>
# Copyright 2018-2021 Nitrux Latinoamericana S.C.
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

set(INDEX_VERSION 4.0.3)
add_compile_definitions(INDEX_COPYRIGHT_NOTICE="© 2019-2025 Maui Development Team")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

project(index VERSION ${INDEX_VERSION})

set(QT_MAJOR_VERSION 6)

set(REQUIRED_QT_VERSION 6.5.2)
set(REQUIRED_KF_VERSION 5.240.0)
set(REQUIRED_MAUI_VERSION 3.0.0)

if(ANDROID)
    set(ANDROID_ABIS "arm64-v8a")
endif()

find_package(ECM ${REQUIRED_KF_VERSION} NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

if(UNIX AND NOT APPLE AND NOT ANDROID)
    include(KDEInstallDirs)
    include(KDECMakeSettings)
endif()

include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)

include(ECMSetupVersion)
include(ECMSourceVersionControl)
include(ECMFindQmlModule)
include(FeatureSummary)

find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Multimedia Sql Qml Quick QuickControls2)
find_package(KF6 ${REQUIRED_KF_VERSION} REQUIRED COMPONENTS I18n CoreAddons Archive)

if(ANDROID)
    find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS QuickControls2)
elseif(UNIX)
    find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS DBus)
    find_package(KF6 ${REQUIRED_KF_VERSION} REQUIRED COMPONENTS KIO)

    ecm_find_qmlmodule(org.mauikit.terminal)
endif()

if(UNIX OR WIN32 OR APPLE AND NOT ANDROID)
    find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Widgets)
endif()

find_package(MauiKit4 ${REQUIRED_MAUI_VERSION} REQUIRED COMPONENTS FileBrowsing)

ecm_find_qmlmodule(org.mauikit.controls)
ecm_find_qmlmodule(org.mauikit.filebrowsing)
ecm_find_qmlmodule(org.mauikit.documents)
ecm_find_qmlmodule(org.mauikit.archiver)

ecm_find_qmlmodule(org.kde.purpose)

if(ECM_SOURCE_UNDER_VERSION_CONTROL)
    execute_process(
        COMMAND git rev-parse --abbrev-ref HEAD
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_BRANCH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    # Get the latest abbreviated commit hash of the working branch
    execute_process(
        COMMAND git log -1 --format=%h
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_COMMIT_HASH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    add_definitions(-DGIT_COMMIT_HASH="${GIT_COMMIT_HASH}")
    add_definitions(-DGIT_BRANCH="${GIT_BRANCH}")

else()
    add_definitions(-DGIT_COMMIT_HASH="${INDEX_VERSION}")
    add_definitions(-DGIT_BRANCH="${CMAKE_BUILD_TYPE}")
endif()

ecm_setup_version(${INDEX_VERSION}
    VARIABLE_PREFIX INDEX
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/index_version.h")

if (QT_KNOWN_POLICY_QTP0001)
    qt_policy(SET QTP0001 OLD)
endif()

if (QT_KNOWN_POLICY_QTP0004)
    qt_policy(SET QTP0004 NEW)
endif()

add_subdirectory(src)

if(UNIX AND NOT APPLE AND NOT ANDROID)
    install(FILES org.kde.index.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
    install(FILES src/data/org.kde.index.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
endif()

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

qt_finalize_project()

=== debian/changelog ===
index-fm (4.0.2+p24.04+vstable+git20251012.0118-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 01:18:21 +0000

=== debian/control ===
Source: index-fm
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-kservice-dev,
               kf6-syntax-highlighting-dev,
               libmauikitfilebrowsing-dev,
               mauikit-dev,
               mauiman-dev,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://github.com/maui-project/index
Vcs-Git: https://invent.kde.org/neon/neon-packaging/index-fm.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/index-fm
Maintainer: Neon CI <neon@kde.org>

Package: index
Architecture: any
Depends: qml6-module-org-maui-mauikit,
         qml6-module-org-mauikit-accounts,
         qml6-module-org-mauikit-archiver,
         qml6-module-org-mauikit-documents,
         qml6-module-org-mauikit-filebrowsing,
         qml6-module-org-mauikit-texteditor,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Maui File manager
 Index lets you browse your system files and applications and preview
 your music, text, image and video files and share them with external applications
 .
 Index is a file manager that works on desktops, Android and Plasma Mobile.

## index-fm 4.0.2+p24.04+vstable+git20251019.0731

=== debian/changelog ===
index-fm (4.0.2+p24.04+vstable+git20251019.0731-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 07:31:18 +0000

## index-fm 4.0.2+p24.04+vstable+git20260107.0823

=== debian/changelog ===
index-fm (4.0.2+p24.04+vstable+git20260107.0823-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 08:23:42 +0000

## index-fm 4.0.2+p24.04+vstable+git20260122.0613

=== debian/changelog ===
index-fm (4.0.2+p24.04+vstable+git20260122.0613-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 06:13:01 +0000

## index-fm 4.0.2+p24.04+vstable+git20260130.1003

=== debian/changelog ===
index-fm (4.0.2+p24.04+vstable+git20260130.1003-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:03:28 +0000

## index-fm 4.0.2+p24.04+vstable+git20260205.0602

=== debian/changelog ===
index-fm (4.0.2+p24.04+vstable+git20260205.0602-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:02:51 +0000

## index-fm 4.0.2+p24.04+vstable+git20260216.0320

=== debian/changelog ===
index-fm (4.0.2+p24.04+vstable+git20260216.0320-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 16 Feb 2026 03:20:14 +0000

## index-fm 4.0.2+p24.04+vstable+git20260219.0454

=== debian/changelog ===
index-fm (4.0.2+p24.04+vstable+git20260219.0454-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 04:54:19 +0000

## index-fm 4.0.2+p24.04+vunstable+git20251211.0357

=== debian/changelog ===
index-fm (4.0.2+p24.04+vunstable+git20251211.0357-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 03:57:14 +0000

## index-fm 4.0.2+p24.04+vunstable+git20260103.0300

=== debian/changelog ===
index-fm (4.0.2+p24.04+vunstable+git20260103.0300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 03:00:42 +0000

## index-fm 4.0.2+p24.04+vunstable+git20260205.0814

=== debian/changelog ===
index-fm (4.0.2+p24.04+vunstable+git20260205.0814-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:14:10 +0000
